Package org.apache.tools.ant.types.optional.image

# Class Rotate

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.optional.image.ImageOperation
org.apache.tools.ant.types.optional.image.TransformOperation
org.apache.tools.ant.types.optional.image.Rotate

All Implemented Interfaces:
  `java.lang.Cloneable`, `DrawOperation`

    public class Rotate
    extends TransformOperation
    implements DrawOperation

ImageOperation to rotate an image by a certain degree

See Also:
  `Image`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected float` | `angle` |

### Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

`instructions`

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Rotate()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`javax.media.jai.PlanarImage` | `executeDrawOperation()` | Performs the image rotation when being handled as a DrawOperation.
`javax.media.jai.PlanarImage` | `executeTransformOperation​(javax.media.jai.PlanarImage image)` | Performs the image rotation when being handled as a TransformOperation.
`javax.media.jai.PlanarImage` | `performRotate​(javax.media.jai.PlanarImage image)` | Rotate an image.
`void` | `setAngle​(java.lang.String ang)` | Sets the angle of rotation in degrees.

### Methods inherited from class org.apache.tools.ant.types.optional.image.TransformOperation

`addRectangle`

### Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

`addDraw, addRotate, addScale, addText`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### angle

protected float angle

## Constructor Details

### Rotate

public Rotate()

## Method Details

### setAngle

public void setAngle​(java.lang.String ang)
Sets the angle of rotation in degrees.

Parameters:
  `ang` - The angle at which to rotate the image

### performRotate

public javax.media.jai.PlanarImage performRotate​(javax.media.jai.PlanarImage image)
Rotate an image.

Parameters:
  `image` - the image to rotate.
Returns:
  the rotated image.

### executeTransformOperation

public javax.media.jai.PlanarImage executeTransformOperation​(javax.media.jai.PlanarImage image)
Performs the image rotation when being handled as a TransformOperation.

Specified by:
  `executeTransformOperation` in class `TransformOperation`
Parameters:
  `image` - The image to perform the transformation on.
Returns:
  the transformed image.

### executeDrawOperation

public javax.media.jai.PlanarImage executeDrawOperation()
Performs the image rotation when being handled as a DrawOperation. It absolutely requires that there be a DrawOperation nested beneath it, but only the FIRST DrawOperation will be handled since it can only return ONE image.

Specified by:
  `executeDrawOperation` in interface `DrawOperation`
Returns:
  the image.